package com.sec.android.app.billing.service;

import android.os.Bundle;

/**
 * IBillingService is the service that provides billing through Samsung Unified Payment Client
 */
 
interface IBillingService {

	/**
     * Request for Billing service.
     * 
     * @param apiVersion the billing API version which the app is using
     * @param requestData containing the following key-value pairs
     *        "PACKAGE_NAME" - the package name of the calling app
     *        "REQUEST_CODE" - int value, the request hash code of the calling app
     *        "ACTION" - the action of the billing
     *        "DATA" - the JSON data of the billing
     * @param etc the etc information of the billing (ND)
     * @return Bundle containing the following key-value pairs
     *         "RESPONSE_CODE" - int value
     *         "RESPONSE_MESSAGE" - string value (Using this value only to debug)
     *         "BILLING_INTENT" - PendingIntent to start the payment flow
     */	
    Bundle requestBilling(int apiVersion, in Bundle requestData, String etc);
        
}